## python-pantomime 0.6.0

=== Makefile ===

all: clean test dists release

test:
	pytest --cov-report html --cov-report term --cov=pantomime tests/

typecheck:
	mypy --strict pantomime/

dists: clean
	python setup.py sdist bdist_wheel

release: dists
	twine upload dist/*

clean:
	rm -rf dist build .eggs
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +

=== debian/changelog ===
python-pantomime (0.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 13 Feb 2023 22:14:09 +0000

python-pantomime (0.5.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Feb 2023 13:31:28 +0200

python-pantomime (0.5.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1029725)

 -- Edward Betts <edward@4angle.com>  Sun, 05 Feb 2023 10:06:15 +0100

=== debian/control ===
Source: python-pantomime
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-banal <!nocheck>,
               python3-normality <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/alephdata/pantomime
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pantomime
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pantomime.git

Package: python3-pantomime
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: MIME type normalisation and labels
 Library that handles the parsing and normalisation of internet MIME types in
 Python. This can be useful to normalise invalid, or misformatted MIME types
 emitted by remote web servers.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-pantomime-$1\.tar\.gz/ \
  https://github.com/alephdata/pantomime/tags .*/v?(\d\S+)\.tar\.gz

## python-pantomime 0.6.1

=== debian/changelog ===
python-pantomime (0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 26 Jul 2023 15:52:38 -0700

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pantomime
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pantomime.egg-info/
